2006-09-11 Mikhail Khodjaiants
	Bugzilla Bug 156707: A failed operation (e.g., resume) can leave the CDebugTarget in an invalid run state.
	* CDebugTarget.java

2006-08-29 Mikhail Khodjaiants
	Bug 155275: Exception when stepping.
	* CThread.java

2006-08-14 Mikhail Khodjaiants
	Bug 136896: View variables in binary format.
	Applied modified patch from Mark Mitchell (CodeSourcery).
	* CValue.java

2006-05-31 Mikhail Khodjaiants
	Bug 144719: [Modules view] Modules from from different sessions are mixed up.
	* CDebugElement.java

2006-05-29 Mikhail Khodjaiants
	Bug 108472: Debug continues to fail.
	* DebugCoreMessages.properties
	* CDebugTarget.java
	* CoreModelMessages.properties

2006-05-26 Mikhail Khodjaiants
	Bug 137138: Common source containers get disposed.
	* CSourceLookupParticipant.java
	* CSourcePathComputerDelegate.java

2006-05-26 Mikhail Khodjaiants
	Bug 122010: Registers View is displayed even if supportsRegisters and 
	supportsRegisterModification are disabled.
	Fix for supportsRegisterModification.
	* CRegister.java

2006-05-19 Mikhail Khodjaiants
	Warning cleanup.
	* CBreakpointManager.java

2006-05-12 Mikhail Khodjaiants
	Bug 118274: Condition is not shown in the tooltip of conditional breakpoint.
	* CDebugUtils.java
	* DebugCoreMessages.properties
	* BreakpointMessages.properties
	* CAddressBreakpoint.java
	* CFunctionBreakpoint.java
	* CLineBreakpoint.java
	* CWatchpoint.java

2006-03-27 Mikhail Khodjaiants
	Moved the extraction of the stop symbol to the launch.
	* CDIDebugModel.java
	* CDebugTarget.java

2006-03-06 Mikhail Khodjaiants
	Fix for Bug 93777: Postmortem and Local launch need a default preference for selected debugger.
	* CDebugCorePlugin.java
	* ICDebugConstants.java

2006-02-27 Mikhail Khodjaiants
	All serializable objects should have a stable serialVersionUID.
	* CDIException.java

2006-02-27 Mikhail Khodjaiants
	The DirectorySourceContainer's UI now supports the subfolders searching option (see bug 89748).
	Removed CDirectorySourceContainer and related classes. 
	The CDirectorySourceContainerType is kept for migration purposes.
	- CDirectorySourceContainer.java
	* CDebugTarget.java
	* CDirectorySourceContainerType.java
	* CSourceLookupDirector.java
	* SourceUtils.java
	* plugin.properties
	* plugin.xml

2006-02-24 Mikhail Khodjaiants
	Fix for bugs 129152 (Keyboard shortcuts are gone in CDT CVS HEAD) 
	and 128844 (No prompt for Debug perspective on suspend).
	* CDebugTarget.java

2006-02-20 Mikhail Khodjaiants
	Fire the resume event instead of the change event when a non-current thread is resumed.
	* CThread.java

2006-02-20 Mikhail Khodjaiants
	CModuleManager needs to extend PlatformObject to be accessible as an adapter 
	for IModuleRetrival.
	* CModuleManager.java

2006-02-08 Mikhail Khodjaiants
	Bug 126958: wrong state setting for thread in CThread.handleResumeEvent().
	* CThread.java

2006-01-30 Mikhail Khodjaiants
	Bug 125603: Debugger don't stop on breakpoints if src is linked.
	* CSourceLookupDirector.java

2006-01-29 Mikhail Khodjaiants
	Bug 118894: Allow stopping at other locations other than main().
	Applied patch from Ken Ryall (Nokia).
	* ICDTLaunchConfigurationConstants.java
	* CDebugTarget.java

2006-01-23 Mikhail Khodjaiants
	Bug 119683: long messages during launch cause gdb to timeout, launch to fail.
	New "createSession" method accepts File instead of IBinaryObject.
	* ICDIDebugger.java
	+ ICDIDebugger2.java

2006-01-15 Mikhail Khodjaiants
	Bug 123745: Disassembly view can get into endless loop.
	* DisassemblyBlock.java

2006-01-04 Mikhail Khodjaiants
	Bug 118900: Display libraries loaded in post-mortem debug. 
	* CDebugTarget.java
	* CModuleManager.java

2005-12-30 Mikhail Khodjaiants
	Cleanup.
	* CModule.java
	* CThread.java
	* CValue.java

2005-12-29 Mikhail Khodjaiants
	Temporary fix for bug 122344: Memory monitors are not shown in the Memory view.
	* CMemoryBlockRetrievalExtension.java

2005-12-29 Mikhail Khodjaiants
	Bug 122336: Use the asynchronous tree viewer in the Modules view.
	Grouped the modules-related methods of ICDebugTarget under the 
	new IModuleRetrieval interface.
	* ICDebugTarget.java
	+ IModuleRetrieval.java
	* CDebugElement.java
	* CDebugTarget.java
	* CModuleManager.java

2005-12-27 Mikhail Khodjaiants
	Bug 109526: Support Eclipse-LazyStart and deprecate Eclipse-AutoStart.
	* MANIFEST.MF

2005-12-16 Mikhail Khodjaiants
	Bug 118809: Failure to evaluate stack frame.
	Previous fix didn't work for stack depths > 100.
	* CThread.java

2005-12-08 Mikhail Khodjaiants
	Bug 118809: Failure to evaluate stack frame.
	* CThread.java

2005-11-28 Mikhail Khodjaiants
	Bug 118272: Invalid stack trace when stepping out of function.
	* CThread.java

2005-11-07 Mikhail Khodjaiants
	Bug 115385: Pointer to a structure is not updated correctly
	* CVariable.java

2005-10-24 Mikhail Khodjaiants
	Fix for bugs 112008 and 111828.
	Applied modified patch from Matthias Spycher (matthias@coware.com).
	* CBreakpointManager.java

2005-09-30 Mikhail Khodjaiants
	Partial fix for bug 109950: Major crash and stack overflow if two projects reference each other.
	* CDebugTarget.java
	* CSourceLookupDirector.java

2005-09-16 Mikhail Khodjaiants
	Bug 109785: "mi_cmd_var_create: unable to create variable object" when stepping out of stack frame.
	* CStackFrame.java

2005-09-09 Mikhail Khodjaiants
	Bug 109206: Last register group is not added if it has only one register.
	* CRegisterManager.java

2005-09-06 Mikhail Khodjaiants
	Cleanup: replaced "new Boolean" by the static Boolean objects (Java 1.4).
	* CDebugUtils.java
	* CDIDebugModel.java
	* CBreakpointManager.java
	* CDebugTarget.java
	* CGlobalValue.java
	* CRegisterGroup.java
	* CDirectorySourceLocation.java
	* CProjectSourceLocation.java
	* CSourceLocator.java

2005-09-06 Mikhail Khodjaiants
	Bug 108636: mi level selection option should be moved to the gdb page.
	* ICDTLaunchConfigurationConstants.java

2005-09-01 Mikhail Khodjaiants
	Bug 108424: Debugger stops on removed breakpoints.
	* CBreakpointManager.java

2005-08-25 Mikhail Khodjaiants
	Bug 106241: Argument stopInMain has no impact in method org.eclipse.cdt.debug.core.CDIDebugModel#newDebugTarget.
	* CDIDebugModel.java

2005-08-25 Mikhail Khodjaiants
	Bug 108028: Duplicate watchpointes.
	* CBreakpointManager.java

2005-08-23 Mikhail Khodjaiants
	Bug 107787: Casting variable to array causes NPE.
	* CIndexedValue.java

2005-08-04 Alain Magloire
	ClastCastException being throw in CThread.getAdapter(IRunToLine.class);
	Patch solution to ignore the exception.

	* src/org/eclipse/cdt/debug/internal/core/model/CThread.java

2005-07-29 Mikhail Khodjaiants
	The registers with errors shouldn't be disposed when the target is suspended.
	Added synchronization to the "getRegisters" method.
	* CRegisterGroup.java

2005-07-28 Mikhail Khodjaiants
	Bug 104421: Register view can not show correct value when switch between different thread or stack frame.
	* ICDIRegister.java
	* ICDIStackFrame.java
	* ICDITarget.java
	* ICDIThread.java
	* ICDIVariable.java
	* ICDIVariableDescriptor.java
	* CRegisterManager.java
	* CExpression.java
	* CGlobalVariable.java
	* CIndexedValue.java
	+ CLocalVariable.java
	* CRegister.java
	* CRegisterGroup.java
	* CStackFrame.java
	* CValue.java
	* CVariable.java
	* CVariableFactory.java

2005-07-28 Mikhail Khodjaiants
	Bug 103567: breakpoints view of of sync w/CDT CVS HEAD
	* CBreakpointManager.java

2005-07-26 Mikhail Khodjaiants
	Bug 105224: Two identical directory source container types.
	* plugin.properties

2005-07-26 Mikhail Khodjaiants
	Bug 102929: Race conditions when setting breakpoints at launch.
	The initial breakpoint settings, stop in main and resume are batched 
	in one job. This garantees the right order of commands sent to the backend.
	* CDIDebugModel.java
	* CBreakpointManager.java
	* CDebugTarget.java

2005-07-22 Alain Magloire
	Fix to Copyright.
	* src/org/eclipse/cdt/debug/internal/core/CBreakpointManager.java

2005-07-18 Alain Magloire
	new launch constant for the MI protocol
	* src/org/eclipse/cdt/debug/core/ICDTLaunchConfigurationConstants.java

2005-07-14 Mikhail Khodjaiants
	Bug 103917: NPE in Variables View.
	* AbstractCValue.java

2005-07-14 Mikhail Khodjaiants
	Bug 103784: NPE in source lookup.
	* CSourceLookupDirector.java

2005-07-11 Mikhail Khodjaiants
	Bug 94770: Breakpoint marker messages need formatting.
	* BreakpointMessages.properties
	* CAddressBreakpoint.java
	* CFunctionBreakpoint.java
	* CLineBreakpoint.java
	* CWatchpoint.java

2005-07-11 Mikhail Khodjaiants
	Bug 102077: The DebugLabelViewDecorato asking info out of context.
	Added a new flag to CVariable indicate the disposed state and prevent target requests.
	* CExpression.java
	* CGlobalVariable.java
	* CVariable.java

2005-07-11 Mikhail Khodjaiants
	Bug 102563: Break points not working. 
	Temporary switching back to use file names instead of full paths.
	* CBreakpointManager.java

2005-07-10 Mikhail Khodjaiants
	Bug 103173: Register: user created register groups disappear after debug session restart.
	* CRegisterManager.java

2005-07-08 Mikhail Khodjaiants
	Filter breakpoints before setting using the source lookup mechanism.
	* CBreakpointManager.java
	* CSourceLookupDirector.java

2005-07-08 Mikhail Khodjaiants
	Bug 79371: Setting breakpoints in the left hand side ruler of the disassembly view is sluggish.
	Asynchronous breakpoint handling.
	* CBreakpointManager.java
	* InternalDebugCoreMessages.properties
	* CDebugTarget.java

2005-07-04 Mikhail Khodjaiants
	Removed the "IBreakpointTarget" interface.
	- IBreakpointTarget.java
	* ICDebugTarget.java
	* CDebugTarget.java

2005-06-29 Mikhail Khodjaiants
	Bug 41725: I can't set a breakpoint in a function where I used attach source.
	Bug 45514: Breakpoints made is assembly view do not show in C view.
	* CDIDebugModel.java
	* IAsmSourceLine.java
	* ICBreakpoint.java
	* IDisassemblyBlock.java
	* CBreakpointManager.java
	* CBreakpoint.java
	* AsmSourceLine.java
	* DisassemblyBlock.java

2005-06-28 Mikhail Khodjaiants
	Bug 101188: Breakpoints don't work with MingW gdb.
	Use "toPortableString" instead of "toOsString" when setting the source search paths.
	* CDebugTarget.java

2005-06-27 Alain Magloire
	Change in ICDIReferenceValue.
	* cdi/org/eclipse/cdt/debug/core/cdi/model/type/ICDIReferenceValue.java
	* src/org/eclipse/cdt/debug/internal/core/model/CValue.java
	
2005-05-27 Alain Magloire
	Use the fCDIVariable instead of fCDIVariableObject when possible.
	* src/org/eclipse/cdt/debug/internal/core/model/CVariable.java

2005-05-23 Mikhail Khodjaiants
	Bug 100756: Breakpoints listed twice in Breakpoints view.
	* CBreakpointManager.java

2005-05-21 Mikhail Khodjaiants
	Minor refactoring.
	* CMemoryBlockExtension.java

2005-05-21 Mikhail Khodjaiants
	Bug 91374: CDT launch should set ATTR_PROCESS_TYPE.
	* ICDTLaunchConfigurationConstants.java

2005-06-20 Mikhail Khodjaiants
	Bug 93856: Variable View: Should disable change value options if selected item is not changeable.
	* CVariable.java

2005-06-17 Mikhail Khodjaiants
	Bug 99217: NPE thrown when fetching deffered children.
	* CExpression.java
	* CValueFactory.java
	* CVariable.java

2005-06-17 Mikhail Khodjaiants
	Bug 100261: Memory veiw: Renderings content disappears when click on Vairable/Module... view.
	* CDebugElement.java

2005-06-16 Mikhail Khodjaiants
	Bug 100471: Signed/Unsigned Integer renderings show '?' for valid memory blocks.
	* CMemoryBlockExtension.java

2005-06-16 Mikhail Khodjaiants
	Bug 100445: The endianess of a debug target is reversed.
	* CMemoryBlockExtension.java

2005-06-16 Mikhail Khodjaiants
	Partial fix for bug 79371: Setting breakpoints in the left hand side ruler of the disassembly view is sluggish.
	* CBreakpointManager.java

2005-06-14 Mikhail Khodjaiants
	Bug 98814: NullPointerException and failed to launch debug session for a project.
	* CDebugTarget.java

2005-06-13 Mikhail Khodjaiants
	Temporary fix for bug 77279: The memory view address should not be cleared on project restart.
	* ICDTLaunchConfigurationConstants.java
	* CMemoryBlockRetrievalExtension.java
	* InternalDebugCoreMessages.properties
	* CDebugTarget.java

2005-06-12 Mikhail Khodjaiants
	Temporary fix for bug 79872: Make instruction stepping default in disassembly view.
	* ICDebugConstants.java
	* CDebugCorePreferenceInitializer.java
	* CDebugTarget.java

2005-06-09 Mikhail Khodjaiants
	Bug 94139: User-defined register groups.
	Don't save the list of registers for default groups.
	* CRegisterManager.java

2005-06-09 Mikhail Khodjaiants
	Bug 94139: User-defined register groups.
	Support fo the "Restore Default Register Groups" action.
	* ICDebugTarget.java
	* CRegisterManager.java
	* CDebugTarget.java

2005-06-07 Mikhail Khodjaiants
	Bug 94139: User-defined register groups.
	Support fo the "Edit Register Group" action.
	* ICDebugTarget.java
	* IPersistableRegisterGroup.java
	* CRegisterManager.java
	* CDebugTarget.java
	* CRegisterGroup.java

2005-06-07 Mikhail Khodjaiants
	The endianness flag is not chached.
	* CDebugTarget.java

2005-06-06 Mikhail Khodjaiants
	Bug 98594: Unable to set address breakpoints.
	* CBreakpointManager.java

2005-05-24 Mikhail Khodjaiants
	Bug 88558: run-to-line not thread oriented.
	The IRunTo* and IJumpTo* interfaces moved to ICStackFrame.
	* ICDebugTarget.java
	* ICStackFrame.java
	* CDebugTarget.java
	* CStackFrame.java
	* CThread.java

2005-05-20 Mikhail Khodjaiants
	Bug 94139: User-defined register groups.
	Added API and group serialization.
	* ICDTLaunchConfigurationConstants.java
	- ICRegisterManager.java
	* ICDebugTarget.java
	+ IPersistableRegisterGroup.java
	+ IRegisterDescriptor.java
	* CRegisterManager.java
	* InternalDebugCoreMessages.properties
	* CDebugTarget.java
	* CoreModelMessages.properties
	* CRegister.java
	+ CRegisterDescriptor.java
	* CRegisterGroup.java

2005-05-12 Mikhail Khodjaiants
	Bug 94905: Error examining structure contents in debugger.
	The structure's elements should inherit the enablement flag from parents.
	* CVariable.java

2005-04-25 Mikhail Khodjaiants
	Update the source search path of the underlyuing debugger when the source 
	containers are changed.
	+ ISourceLookupChangeListener.java
	* CDebugTarget.java
	* CSourceLookupParticipant.java

2005-04-27 Alain Magloire
	Change in the CDI interface
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDISourceManagent.java

2005-04-25 Mikhail Khodjaiants
	Added the new source container type (CDirectorySourceContainer) to provide 
	the UI support for the subfolders search.
	+ CDirectorySourceContainer.java
	+ CDirectorySourceContainerType.java
	* CSourceLookupDirector.java
	* SourceUtils.java
	* InternalSourceLookupMessages.properties
	* plugin.properties
	* plugin.xml

2005-04-25 Alain Magloire
	Changes to the CDI interface.
	+ cdi/org/eclipse/cdt/debug/core/cdi/ICDIAddressLocation.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/ICDIFileLocation.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/ICDIFunctionLocation.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/ICDILineLocation.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/ICDLocator.java
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDLocation.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIAddressBreakpoint.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/model/ICDILineBreakpoint.java
	+ cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIFunctionBreakpoint.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIBreapoint.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDBreakpointManagement.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDILocationBreakpoint.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIStackFrame.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java

	* src/org/eclipse/cdt/debug/core/CDIDebugModel.java
	* src/org/eclipse/cdt/debug/internal/core/CBreakpointManager.java
	* src/org/eclipse/cdt/debug/internal/core/model/CDebugTarget.java
	* src/org/eclipse/cdt/debug/internal/core/model/CStackFrame.java

2005-04-21 Mikhail Khodjaiants
	Restoring the session manager.
	* CDebugCorePlugin.java
	* SessionManager.java

2005-04-21 Mikhail Khodjaiants
	Cleanup. Removed the session manager from the CDebugCorePlugin class.
	* CDebugCorePlugin.java
	
2005-04-21 Mikhail Khodjaiants
	Bug 80175: Replace the CDT source lookup by the source lookup provided by Eclipse platform.
	* CDebugCorePlugin.java
	* MappingSourceContainer.java
	* SourceLookupMessages.java: new
	* SourceLookupMessages.properties: new
	* CBreakpointManager.java
	* ICDebugInternalConstants.java
	* CommonSourceLookupDirector.java: new
	* CSourceLookupDirector.java
	* CSourceLookupParticipant.java
	* CSourcePathComputerDelegate.java
	* InternalSourceLookupMessages.properties
	* MapEntrySourceContainer.java
	* MapEntrySourceContainerType.java
	* MappingSourceContainerType.java
	* SourceUtils.java

2005-04-15 Alain Magloire
	Fix Pr 91581
	* src/org/eclipse/cdt/debug/internal/core/breakpoint/CAddressBreakpoint.java

2005-04-07 Mikhail Khodjaiants
	Move to Eclipse-31M6.
	* CMemoryBlockRetrievalExtension.java
	* CMemoryBlockExtension.java

2005-04-07 Mikhail Khodjaiants
	Bug 89755: CThread.suspend suspends target, not thread.
	* CThread.java

2005-04-04 Alain Magloire
	Move to Eclipse-31M6
	- src/org/eclipse/cdt/debug/internal/core/CMemoryBlockExtensionRetrieval.java
	+ src/org/eclipse/cdt/debug/internal/core/CMemoryBlockRetrievalExtension.java
	* src/org/eclipse/cdt/debug/internal/core/model/CDebugTarget.java
	* src/org/eclipse/cdt/debug/internal/core/model/CMemoryBlockExtension.java

2005-03-24 Alain Magloire
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIMemoryBlock.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIMemoryBlockManagement.java
	* src/org/eclipse/cdt/debug/internal/core/model/CMemoryBlockExtension.java

2005-03-23 Alain Magloire
	Change is the ICDIMemoryBlock&& ICDIMemoryManagement API
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIMemoryBlock.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIMemoryBlockManagement.java
	* src/org/eclipse/cdt/debug/internal/core/model/CMemoryBlockExtension.java

2005-03-21 Mikhail Khodjaiants
	Bug 80175: Replace the CDT source lookup by the source lookup provided by Eclipse platform.
	* MappingSourceContainer.java: new
	* DisassemblyBlock.java
	* CSourceLookupDirector.java: new
	* CSourceLookupParticipant.java: new
	* CSourcePathComputerDelegate.java: new
	* MapEntrySourceContainer.java: new
	* MapEntrySourceContainerType.java: new
	* MappingSourceContainerType.java: new
	* plugin.properties
	* plugin.xml

2005-03-17 Mikhail Khodjaiants
	If casting of variable to a type or array causes an error, the status 
	of the variable is set to "error" and it can't be reset by subsequent castings.
	* CVariable.java

2005-02-24 Mikhail Khodjaiants
	Applied patch from Tracy Miranda (bug 86540: NPE in CProjectSourceLocation).
	Check for the project and synchronization are added to "initializeFolders".
	* CProjectSourceLocation.java

2005-02-22 Mikhail Khodjaiants
	Bug 84799: Implement Memory View and renderings with new rendering APIs.
	* CMemoryBlockExtensionRetrieval.java

2005-02-18 Mikhail Khodjaiants
	Remove.
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDIManager.java

2005-02-17 Mikhail Khodjaiants
	Bug 82264: Enhance the Shared Libraries view.
	Removed the core support of the Shared Libraries view.
	* ICSharedLibraryManager.java: removed
	* ICDebugTarget.java
	* ICSharedLibrary.java: removed
	* CSharedLibraryManager.java; removed
	* CDebugTarget.java
	* CSharedLibrary.java: removed

2005-02-16 Mikhail Khodjaiants
	Bug 82264: Enhance the Shared Libraries view.
	Cleanup of the ICModule interface.
	* ICModule.java
	* CModule.java
	
2005-02-15 Mikhail Khodjaiants
	Bug 82264: Enhance the Shared Libraries view.
	Support for the symbols loading operations.
	* CModule.java
	* CoreModelMessages.properties

2005-02-14 Mikhail Khodjaiants
	Bug 82264: Enhance the Shared Libraries view.
	Support for the symbols loading operations.
	* ICModule.java
	* CModule.java
	* CoreModelMessages.properties

2005-02-11 Mikhail Khodjaiants
	Bug 82264: Enhance the Shared Libraries view.
	Added new "getCPU" method to ICModule.
	* ICModule.java
	* CModule.java

2005-02-07 Mikhail Khodjaiants
	Bug 82264: Enhance the Shared Libraries view.
	Core support for the Modules view.
	* ICDebugTarget.java
	* ICModule.java: new
	* CoreModelMessages.properties
	* CDebugTarget.java
	* CModule.java: new
	* CModuleManager.java: new

2005-02-03 Mikhail Khodjaiants
	Fix for bug 84187: "Toggle Watchpoint" and "Toggle Method Breakpoint" don't work with C editor.
	ICWatchpoint should extend ILineBreakpoint to allow watchpoints to be shown in editors.
	* ICWatchpoint.java
	* CWatchpoint.java

2005-02-03 Mikhail Khodjaiants
	Fix for bug 84187: "Toggle Watchpoint" and "Toggle Method Breakpoint" don't work with C editor.
	* CDIDebugModel.java

2005-02-02 Mikhail Khodjaiants
	Fix for bug 84187: "Toggle Watchpoint" and "Toggle Method Breakpoint" don't work with C editor.
	Added new "createWatchpoint" method that accepts position information.
	* CDIDebugModel.java

2005-01-19 Mikhail Khodjaiants
	Fix for bug 83051: Add global variables deletes existing ones when new added.
	* ICGlobalVariableManager.java
	* CGlobalVariableManager.java
	* CVariableFactory.java

2005-01-18 Mikhail Khodjaiants
	Fix for bug 82858: NPE when adding global variable to variable view.
	* CDebugTarget.java
	* CVariableFactory.java

2005-01-18 Mikhail Khodjaiants
	Fix for bug 82800: Make "Resume At Line" action retargettable.
	CDebugElement should provide an adapter to ICDebugTarget.
	* CDebugElement.java

2005-01-18 Mikhail Khodjaiants
	Fix for bug 82800: Make "Resume At Line" action retargettable.
	CStackFrame should provide an adapter to IJumpToLine and IJumpToAddress.
	* CStackFrame.java

2005-01-12 Mikhail Khodjaiants
	Bug 73168: Use memory view provided by Eclipse platform in CDT. 
	Removed the old memory view.
	* CDebugCorePlugin.java
	* CDebugModel.java: removed
	* ICMemoryManager.java: removed
	* IFormattedMemoryBlock.java: removed
	* IFormattedMemoryBlockRow.java: removed
	* CMemoryManager.java: removed
	* CSignalManager.java
	* CDebugTarget.java
	* CFormattedMemoryBlock.java: removed

2005-01-12 Mikhail Khodjaiants
	Fix bug 82601: Enhance the ICDIMemoryBlock interface.
	* CMemoryBlockExtension.java

2005-01-10 Mikhail Khodjaiants
	PR 82601 changes to the memory block interface
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIMemoryBlock.java

2005-01-11 Mikhail Khodjaiants
	Use the asynchronous implementation for resume, suspend, step etc provided by eclipse 3.1.
	* CDebugTarget.java
	* CThread.java
	* CoreModelMessages.properties

2005-01-10 Mikhail Khodjaiants
	Use the asynchronous implementation for resume, suspend, step etc provided by eclipse 3.1.
	* CDebugTarget.java
	* CThread.java
	* CoreModelMessages.properties

2005-01-10 Mikhail Khodjaiants
	Bug 73168: Use memory view provided by Eclipse platform in CDT.
	* ICType.java
	* CType.java
	* CMemoryBlockExtension.java
	* CMemoryBlockExtensionRetrieval.java

2005-01-04 Mikhail Khodjaiants
	Fix for bug 82184: arrayboundsexception on display of array variable.
	* CIndexedValue.java

2004-12-23 Mikhail Khodjaiants
	Cleanup.
	* CMemoryBlockExtension.java

2004-12-22 Mikhail Khodjaiants
	Fix for bug 75948: Provide "breakpoint type name" for C breakpoints.
	Applied patch from Jared Burns.
	* plugin.properties
	* plugin.xml

2004-12-22 Mikhail Khodjaiants
	Fix for bug 73168: Use memory view provided by Eclipse platform in CDT.
	The CMemoryBlockextension is used as an adapter to "IMemoryBlockRetrieval".
	* CMemoryBlockExtension.java

2004-12-21 Mikhail Khodjaiants
	Switch to the new memory view interfaces (Eclipse 3.1).
	* InternalDebugCoreMessages.properties
	* CMemoryBlockExtensionRetrieval.java: new
	* CExtendedMemoryBlockRetrieval.java: deleted
	* CDebugTarget.java
	* CMemoryBlockExtension.java: new
	* CExtendedMemoryBlock.java: deleted

2004-12-20 Mikhail Khodjaiants
	Fix for bug 81698: NumberFormatException in CValue.
	* CValue.java

2004-12-16 Mikhail Khodjaiants
	Fix for bug 81381: Deadlock when single stepping.
	* CThread.java

2004-12-08 Mikhail Khodjaiants
	Fix for bug 79678: NPE in Expression.
	* CExpression.java

2004-12-01 Mikhail Khodjaiants
	New fix for bug 80034: Expressions view does not display correct no. of elements in array.
	* CValueFactory.java
	* CExpression.java

2004-12-03 Mikhail Khodjaiants
	Fix for bug 62659: Unable to set default for register format via plugin_customization.ini.
	* CDebugCorePreferenceInitializer.java: new
	* plugin.xml

2004-12-03 Mikhail Khodjaiants
	Fix for bug 80106: Terminating during stepping state caused exception in CDT.
	* CThread.java

2004-12-01 Mikhail Khodjaiants
	Partial fix for bug 77444: CDT does not handle address breakpoints across sessions.
	* CBreakpointManager.java
	
2004-12-01 Mikhail Khodjaiants
	Fix for bug 80034: Expressions view does not display correct no. of elements in array.
	* CValueFactory.java

2004-12-01 Mikhail Khodjaiants
	Fix for bug 79454: Unable to remove a breakpoint set from the gdb console.
	* CBreakpointManager.java

2004-12-01 Mikhail Khodjaiants
	Fix for bug 74043: Overaggressive exception reporting?
	* CBreakpointManager.java

2004-11-26 Mikhail Khodjaiants
	Fix for bug 79608: NPE in CValue.
	* CValue.java

2004-11-26 Mikhail Khodjaiants
	Fix for bug 79377: "Mixed disassembly" should fall back to disassembly w/o source when mixed disassembly fails.
	* Disassembly.java

2004-11-26 Mikhail Khodjaiants
	Fix for bug 79583: Deffered breakpoints and shared library events.
	* CSharedLibraryManager.java

2004-11-25 Mikhail Khodjaiants
	Fix for bug 79452: Unable to set a breakpoint on a class method.
	* CDebugUtils.java: cleanup.
	* CBreakpointManager.java

2004-11-25 Mikhail Khodjaiants
	The "decrementInstallCount" method of IBreakpoint should be called from the UI thread.
	Replaced the "breakpointRemoved" method of ICBreakpointListener by the "breakpointsRemoved"
	method that accepts multiple breakpoints.
	* ICBreakpointListener.java
	* CBreakpointManager.java
	* CBreakpointNotifier.java
	
2004-11-24 Alain Magloire

	Use the ICDITarget.deleteAllBreakpoints() for speed.
	* org/eclipse/cdt/debug/internal/core/CBreakpointManager.java

2004-11-24 Mikhail Khodjaiants
	Do not request to dispose local variables when the target is resumed.
	* CExpression.java
	* CGlobalVariable.java
	* CVariable.java

2004-11-23 Mikhail Khodjaiants
	The enablement of the step actions is calculated in the UI thread. This causes 
	the UI locks for slow or unresponsive targets. Use the cached stack frames to 
	calculate the enablement instead of requesting gdb.
	* CThread.java

2004-11-22 Mikhail Khodjaiants
	Check if the pointer value is not null before pass it to the address factory.
	* CValue.java
 
2004-11-18 Mikhail Khodjaiants
	Worker threads can try to evaluate expressions on the stack frames that 
	have already been disposed. A flag is added to identify that the stack 
	frame is disposed.
	* CStackFrame.java

2004-11-19 Alain Magloire

	Clear the confusion about sublist of stackframes.
	PR 78611

	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIStackFrame.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIThread.java
	* src/org/eclipse/cdt/debug/internal/model/CThread.java

2004-11-17 David Inglis
	
	Change debug target to use IBinaryObject instead of IBinaryExecutable
	
	* src/org/eclipse/cdt/debug/core/CDIDebugModel.java
	* src/org/eclipse/cdt/debug/core/ICDIDebugger.java
	* src/org/eclipse/cdt/debug/core/model/IExecFileInfo.java
	* src/org/eclipse/cdt/debug/internal/core/CDebugAdapter.java
	* src/org/eclipse/cdt/debug/internal/core/model/CDebugTarget.java
	
2004-11-16 Alain Magloire
	Optimize things by providing a new method
	ICDIRegisterGroup.hasRegisters();
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIRegisterGroup.java
	* src/org/eclipse/cdt/debug/internal/core/model/CRegisterGroup.java

2004-11-15 Mikhail Khodjaiants
	Fix for bug 78604: Disassembly causes Java exception when disassembling beyond fn(?).
	Added the "getAddressFactory" method to the "IDisassembly" interface.
	* IDisassembly.java
	* Disassembly.java

2004-11-15 Mikhail Khodjaiants
	Batch breakpoint updates in one job.
	* CBreakpointManager.java

2004-11-12 Mikhail Khodjaiants
	Apply the breakpoint's condition changes to the associated gdb breakpoint 
	only if there are differences.
	* CBreakpointManager.java

2004-11-12 Mikhail Khodjaiants
	Compare breakpoint source handles as pathes.
	* CDIDebugModel.java
  
2004-11-11 Alain Magloire
	Fix for PR 75000, from PalmSource
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIVariable.java

2004-11-10 Mikhail Khodjaiants
	Fix for bug 76340: CDT hogs Windows input loop when double clicking on a breakpoint.
	* InternalDebugCoreMessages.properties
	* CBreakpointManager.java

2004-11-09 Mikhail Khodjaiants
	Fix for bug 77275: Disassembly causes Java exception for fn's with 0 bytes fn prologues.
	* DisassemblyBlock.java

2004-11-09 Mikhail Khodjaiants
	Partial fix for bug 41725: I can't set a breakpoint in a function where I used attach source.
	* CBreakpointManager.java

2004-11-09 Alain Magloire
	Put possiblity to set Exception breakpoint
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDIBreakpointManagement.java

2004-11-08 Alain Magloire
	Bug in CVariableFactory for globals, the filename of the 
	binary was use instead of the filename of the symbol.
	* src/org/eclipse/cdt/debug/internal/core/model/CVariableFactory.java

2004-11-08 Alain Magloire
	New class ICDIFunctionFinished.
	It return the return value of the function.
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDIFunctionFinished.java

2004-11-04 Mikhail Khodjaiants
	Removed "Refresh" and "Auto-Refresh" actions support for shared libraries.
	* ICDebugConstants.java
	* ICSharedLibraryManager.java
	* CSharedLibraryManager.java
	* ICUpdateManager.java: removed
	* CUpdateManager.java: removed

2004-11-04 Mikhail Khodjaiants
	Removed "Refresh" and "Auto-Refresh" actions support for registers.
	* ICDebugConstants.java
	* ICRegisterManager.java
	* CRegisterManager.java

2004-11-04 Mikhail Khodjaiants
	No need of "ICSignalManager".
	* ICSignalManager.java: removed
	* CSignalManager.java
	* CDebugTarget.java

2004-11-04 Mikhail Khodjaiants
	CSignalManager no longer extends CUpdateManager.
	* CSignalManager.java
 
2004-11-03 Mikhail Khodjaiants
	New implementation of expressions. 
	Large arrays partitioning based on the framework model.
	* CoreModelMessages.properties
	* AbstractCValue.java
	* CExpression.java
	* CIndexedValue.java: new
	* CValue.java
	* CValueFactory.java
	* CVariable.java
	* CArrayPartition.java: removed
	* CArrayPartitionValue.java: removed

2004-11-02 Alain Magloire
	Refactor ICDIConfiguratio --> ICDISessionConfiguration and ICDITargetConfiguration
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISessionConfiguration.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITargetConfiguration.java

	* src/org/eclipse/cdt/debug/core/CDIDebugModel.java
	* src/org/eclipse/cdt/debug/interternal/core/model/CDIDebugTarget.java
	* src/org/eclipse/cdt/debug/interternal/core/model/CThread.java

2004-11-1 David Inglis
	
	Fixed bogus exception with older CDI debuggers.
	
	* src/org/eclipse/cdt/debug/internal/core/CDebugAdapter.java
	
2004-10-31 Alain Magloire
	Refactor ICDIVariableObject --> ICDIVariableDescriptor
	Refactor ICDIArgumentObject --> ICDIArgumentDescriptor
	Refactor ICDIRegisterObject --> ICDIRegisterDescriptor
	Addition ICDIThreadStorageDescriptor, ICDIThreadStorage
	Addition ICDILocalVariableDescriptor, ICDILocalVariable
	Addition ICDIGlobalVariableDescriptor, ICDIGlovalVariable

	Adjust the classes to the changes.

2004-10-29 Mikhail Khodjaiants
	Use the new expression API of CDI.
	* CDebugModel.java
	* CDIDebugModel.java
	* CGlobalVariableManager.java
	* AbstractCValue.java
	* AbstractCVariable.java
	* CArrayPartition.java
	* CArrayPartitionValue.java
	* CDebugTarget.java
	* CExpression.java
	* CStackFrame.java
	* CValue.java
	* CVariable.java
	* CExpressionTarget.java: removed

2004-10-29 Alain Magloire
	Remove of ICDISharedLibraryManager
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISharedLibraryManager.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDISharedLibraryManagement.java

	* CSharedLibraryManager.java

2004-10-28 Alain Magloire
	Add getType() method.
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIExpression.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIValue.java

2004-10-26 Alain Magloire
	Remove ICDIMemoryManager for ICDIMemoryBlockManagement
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDIMemoryManager.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIMemoryBlockManagement.java

	* CDebugModel.java
	* CExtendedMemoryBlock.java
	* CFormattedMemoryBlock.java

2004-10-26 Alain Magloire
	Remove of ICDISourceManager in CDI
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISourceManager.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDISourceManagement.java

	* Disassembly.java

2004-10-26 Alain Magloire
	Remove of ICDISignalManager in CDI
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISignalManager.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIThreadGroup.java

	* CSignalManager.java

2004-10-25 Mikhail Khodjaiants
	NPE in "CVlaue.isUnsigned". Check if the type of the parent variable is null.
	* CValue.java

2004-10-25 David Inglis
	Deprecated environment launch constent in favor of the constant provided by the debug.core.
	* src/org/eclipse/cdt/debug/core/ICDTLaunchConfigurationConstants.java
	
2004-10-25 Alain Magloire
	Remove of the class ICDIExpressionManager.
	instead new clas ICDIExpressionManagegment that is on the ICDITarget
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIExpression.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIThreadGroup.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIExpressionManagement.java

	* CDebugModel.java
	* CDIDebugModel.java
	* CExpression.java
	* CFormattedMemoryBlock.java
	* CStackFrame.java

2004-10-22 Mikhail Khodjaiants
	Replaced the deprecated "evaluateExpressionTtoString" method of "ICDITarget.
	* CDebugTarget.java
	* CStackFrame.java
	* CExtendedMemoryBlockRetrieval.java

2004-10-22 Alain Magloire
	Provide a context for ICDITarget.evaluateExpressionTtoString()
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java

2004-10-22 Mikhail Khodjaiants
	Fire the suspend event for the current thread on the target creation.
	* CDebugTarget.java

2004-10-21 Mikhail Khodjaiants
	Thread should handle CDI events from the corresponding CDI thread only.
	"canSuspend" should return true if the thread is stepping.
	New implementation of "stepReturn" for stack frames.
	* CThread.java
	* CStackFrame.java

2004-10-21 Mikhail Khodjaiants
	Pass the target state to threads on terminate, disconnect, resume, suspend and restart.
	* CoreModelMessages.properties
	* CDebugElement.java
	* CDebugTarget.java
	* CThread.java

2004-10-19 Mikhail Khodjaiants
	Set the initial state of a thread according to the state of the underlying CDI thread.
	* CThread.java

2004-10-19 Alain Magloire
	Fix NPE.
	* src/org/eclipse/cdt/debug/internal/core/DebugConfiguration.java

2004-10-19 Mikhail Khodjaiants
	Support of the thread-specific breakpoints. 
	Fix for the error handling of the asynchronous operations.
	* CBreakpointManager.java
	* CDebugTarget.java
	* CoreModelMessages.properties

2004-10-18 Alain Magloire
	Make ICDIRuntimeOptions be part of ICDITarget
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDISession.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIRuntimeOptions.java

2004-10-18 David Inglis
	Update to new ICDIDebugger interface deprecating old
	
	* src/org/eclipse/debug/core/CDebugModel.java
	* src/org/eclipse/debug/core/CDIDebugModel.java
	* src/org/eclipse/debug/core/ICDebugConfiguration.java 
	* src/org/eclipse/debug/core/ICDebugger.java
	* src/org/eclipse/debug/core/ICDIDebugger.java
	* src/org/eclipse/debug/core/ICDILaunchCOnfiguration.java
	* src/org/eclipse/debug/core/model/IExecFileInfo.java
	* src/org/eclipse/debug/internal/core/CBreakpointManager.java
	* src/org/eclipse/debug/internal/core/CDebugAdapter.java
	* src/org/eclipse/debug/internal/core/DebugConfiguration.java
	* src/org/eclipse/debug/internal/core/model/CDebugTarget.java
	* src/org/eclipse/debug/internal/core/model/CVariableFactory.java
	* src/org/eclipse/debug/internal/core/model/DisassemblyBlock.java
		
2004-10-18 Mikhail Khodjaiants
	Use characters instead of strings.
	* CDIException.java

2004-10-17 Alain Magloire
	Remove deprecated method in CDI
	* cdi/org/eclipse/cdt/debug/core/model/ICDITarget.java
	* cdi/org/eclipse/cdt/debug/core/ICDISession.java

2004-10-15 Alain Magloire
	Adjustment to changes in CDI interface concerning breakpoints.
	Now the thread ids for a breakpoint is specified in the ICDICondition.
	* cdi/org/eclipse/cdt/debug/core/cdi/ICDICondition.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIBreakpoint.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDIBreakpointManagement.java
	* cdi/org/eclipse/cdt/debug/core/cdi/model/ICDITarget.java

	* CBreakpointManager.java
	* CDebugTarget.java

2004-10-14 Mikhail Khodjaiants
	Partial fix for bug 39936 GDB hits modified conditional breakpoints when condition not satisfied.
	Condition has to be set at the mi level.
	* CBreakpointManager.java

2004-10-08 Mikhail Khodjaiants
	Added the launch configuration preference for the register bookkeeping.
	* ICDTLaunchConfigurationConstants.java
	* CExpression.java
	* CRegister.java
	* CRegisterGroup.java
	* CVariable.java

2004-10-08 Mikhail Khodjaiants
	Added the bookkeeping of registers and register groups.
	* ICVariable.java
	* IEnableDisableTarget.java: new
	* AbstractCVariable.java
	* CRegister.java
	* CRegisterGroup.java

2004-10-07 Mikhail Khodjaiants
	Pass the current stack frame to the registers manager to provide the evaluation context.
	* ICRegisterManager.java
	* IDummyStackFrame.java
	* CRegisterManager.java
	* CDebugTarget.java
	* CDummyStackFrame.java
	* CRegisterGroup.java
	* CStackFrame.java

2004-10-07 Mikhail Khodjaiants
	Provide a context for expression evaluation.
	* ICValue.java
	* AbstractCValue.java
	* CArrayPartitionValue.java
	* CValue.java

2004-10-06 Mikhail Khodjaiants
	Added the "getType" method to ICValue.
	* ICValue.java
	* AbstractCValue.java
	* CArrayPartitionValue.java
	* CValue.java

2004-09-30 Mikhail Khodjaiants
	Implementing adapters for the platform's Memory view.
	* CExtendedMemoryBlockRetrieval.java: new
	* CDebugTarget.java
	* CExtendedMemoryBlock.java: new
	* CThread.java
	* InternalDebugCoreMessages.properties

2004-09-29 Mikhail Khodjaiants
	Use the new "createAddress(BigInteger)" method of "IAddressFactory".
	* CBreakpointManager.java
	* AsmInstruction.java
	* CFormattedMemoryBlock.java
	* CSharedLibrary.java
	* CStackFrame.java
	* CValue.java

2004-09-28 Mikhail Khodjaiants
	Synchronize the "getType" method of "CVariable.InternalVariable".
	* CVariable.java
 
2004-09-27 Mikhail Khodjaiants
	Use the new "getValue" method of "IAddress" for address comparison.
	* Disassembly.java

2004-09-27 Mikhail Khodjaiants
	Target filtering fixes for watchpoints.
	* CBreakpointManager.java

2004-09-21 Mikhail Khodjaiants
	Fixed the problems with the Disassembly view and address breakpoints caused by switch to IAddress.
	* CBreakpointManager.java
	* AsmInstruction.java
	* Disassembly.java
	* DisassemblyBlock.java
	* src/org/eclipse/cdt/debug/internal/core/CDebugUtils.java: removed

2004-09-21 Mikhail Khodjaiants
	Changes to the IBinary interface
	* CDebugTarget.java

2004-09-20 Mikhail Khodjaiants
	Evaluate expressions on stack frame instead of target to provide evaluation context.
	* ICDebugTarget.java
	* ICStackFrame.java
	* ICExpressionEvaluator.java
	* AbstractCValue.java
	* AbstractCVariable.java
	* CArrayPartition.java
	* CArrayPartitionValue.java
	* CDebugTarget.java
	* CFormattedMemoryBlock.java
	* CStackFrame.java
	* CThread.java
	* CValue.java
	* CVariable.java

2004-09-17 Alain Magloire
	Support for 64 bits application
	PR 74056. Pathc from Artyom Kuanbekov
	To much files to enumerate.

2004-09-15 Mikhail Khodjaiants
	Removed the "ISwitchToThread" and "ISwitchToFrame" interfaces.
	* ICDebugTarget.java
	* ISwitchToThread.java: removed
	* ISwitchToFrame.java: removed
	* CDebugTarget.java
	* CStackFrame.java
	* CThread.java

2004-09-13 Mikhail Khodjaiants
	Moved to the new CDI interfaces.
	* CDebugTarget.java
	* CSignal.java
	* CStackFrame.java
	* CThread.java

2004-09-13 Mikhail Khodjaiants
	Fix for bug 72555: "Toggle breakpoint" action doesn't remove function breakpoints from editor.
	* CDIDebugModel.java

2004-09-10 Mikhail Khodjaiants
	Fixes for breakpoint filtering.
	* CBreakpointManager.java
	* CBreakpoint.java
	* CDebugTarget.java

2004-09-09 Alain Magloire
	Introduction of new classes in the CDI interface
	* ICDIExecuteStep.java
	* ICDIExecuteStepReturn.java
	* ICDIExecuteResume.java
	* ICDISuspend.java
	* ICDIThreadGroup.java

2004-09-07 Mikhail Khodjaiants
	Fix for bug 73498: Condition is cleared when disabled conditional breakpoint is set.
	* CBreakpointManager.java	

2004-09-07 Alain Magloire
	Remove ICDIBreakpointManager.java
	Remove ICDICatchEvent/ICDICatchpoint
	add ICDIExceptionpoint

	* ICDISession.java
	* CDIDebugModel.java
	* CDebugTarget.java
	* ICDIExceptionpoint.java

2004-09-07 Mikhail Khodjaiants
	Moved to the new breakpoint management API.
	* CBreakpointManager.java

2004-09-07 Alain Magloire
	New interfaces to Target.
	* ICDITarget.java
	* ICDIBreakpointManagement.java

2004-09-03 Mikhail Khodjaiants
	Made global variables persistent.
	* CDIDebugModel.java
	* ICDTLaunchConfigurationConstants.java
	* ICGlobalVariableManager.java
	* ICGlobalVariable.java
	* IGlobalVariableDescriptor.java
	* InternalDebugCoreMessages.properties
	* CGlobalVariableManager.java
	* CDebugTarget.java
	* CGlobalVariable.java
	* CRegister.java
	* CVariableFactory.java

2004-09-01 Mikhail Khodjaiants
	Breakpoint filtering by targets (core).
	* ICBreakpoint.java
	* CBreakpointManager.java
	* CBreakpoint.java
	* CDebugTarget.java

2004-08-18 Mikhail Khodjaiants
	New constant - the default value for the "stop at main" property.
	* ICDTLaunchConfigurationConstants.java

2004-08-14 Alain Magloire
	Fix for 71992.
	* CType.java

2004-08-05 Mikhail Khodjaiants
	Restrict the "display as array" operation to the pointer types only.
	* CVariable.java

2004-08-05 Mikhail Khodjaiants
	Warning cleanup.
	* CSharedLibraryManager.java
	* CUpdateManager.java

2004-08-05 Mikhail Khodjaiants
	Display the error message in the array label, if the attempt to get array values fails.
	* CArrayPartition.java
	* CArrayPartitionValue.java
	* CDebugElement.java: made the exception throwing methods static.

2004-08-05 Mikhail Khodjaiants
	Fixed the "resumed" event handler of the variable types.
	* CExpression.java
	* CGlobalVariable.java
	* CStackFrame.java
	* CVariable.java
 
2004-08-05 Mikhail Khodjaiants
	Added the abstract prototypes for some generic methods.
	* AbstractCValue.java
	* AbstractCVariable.java
	* CArrayPartition.java
	* CArrayPartitionValue.java
	* CValue.java
	* CVariable.java

2004-08-04 Mikhail Khodjaiants
	New implementation of the variable types.
	* CDIDebugModel.java
	* CVariableFormat.java: new
	* ICastToArray.java
	* ICastToType.java
	* ICGlobalVariable.java
	* ICType.java
	* ICValue.java
	* ICVariable.java
	* IFormatSupport.java: new
	* CGlobalVariableManager.java
	* CoreModelMessages.properties
	* AbstractCValue.java: new
	* AbstractCVariable.java: new
	* CArrayPartition.java
	* CArrayPartitionValue.java
	* CDebugTarget.java
	* CExpression.java
	* CGlobalVariable.java
	* CRegister.java
	* CRegisterGroup.java
	* CStackFrame.java
	* CType.java
	* CValue.java
	* CValueFactory.java
	* CVariable.java
	* CVariableFactory.java: new
	* CModificationVariable: deleted

2004-07-23 Mikhail Khodjaiants
	Marked the expression creation methods as deprecated in CDebugModel.
	* CDebugModel.java

2004-07-21 Mikhail Khodjaiants
	CThread cleanup.
	* CThread.java

2004-07-21 Mikhail Khodjaiants
	Copied the target factory methods from CDebugModel to CDIDebugModel.
	Marked the old methods as deprecated.
	* CDebugModel.java
	* CDIDebugModel.java

2004-07-21 Mikhail Khodjaiants
	CDebugTarget and CThread cleanup.
	* CoreModelMessages.properties
	* CDebugTarget.java
	* CThread.java

2004-07-21 Mikhail Khodjaiants
	Removed state validation from CDebugElement.
	* CDebugTarget.java
	* CDebugElement.java

2004-07-20 Mikhail Khodjaiants
	Added new state - "STEPPED".
	* CDebugElementState.java

2004-07-20 Mikhail Khodjaiants
	Cleanup.
	* ICDebugInternalConstants.java

2004-07-20 Mikhail Khodjaiants
	Cleanup.
	* CStackFrame.java

2004-07-16 Mikhail Khodjaiants
	Asynchronous resume, suspend and step operations. Cleanup.
	* CDebugModel.java
	* CDebugElementState.java
	* ICDebugElement.java
	* ICDebugTarget.java
	* ICThread.java: new
	* ICDebugTargetType: removed
	* IState: removed
	* CCoreFileDebugTarget.java
	* CDebugElement.java
	* CDebugTarget.java
	* CStackFrame.java
	* CThread.java
	* CModificationVariable.java

2004-07-15 Alain Magloire

	org.eclipse.cdt.debug.core.cdi.model.type should
	be in the cdi source folder.

2004-07-09 Mikhail Khodjaiants
	Cleanup. Added support of "CDebugElementState".
	* ICDebugElement.java
	* CDebugElement.java

2004-07-09 Mikhail Khodjaiants
	Renamed "ICDebugElementErrorStatus" to "ICDebugElementStatus".
	Added comments to ICDebugElementStatus.java.
	* ICDebugElementStatus.java
	* CDebugElement.java
	* CDebugTarget.java
	* CThread.java
	* CValue.java
	* CVariable.java
 
2004-07-02 Alain Magloire

	Move the CDI interface to its own source browser and library
	* cdi/*

2004-06-29 Alain Magloire

	Do not use the cache stackframe.
	* src/org/eclipse/cdt/debug/internal/core/model/CThread.java

2004-06-29 Mikhail Khodjaiants
	Temporary fix for bug 68915: Invalid values in the Variables view.
	* CStackFrame.java
	* CThread.java

2004-06-28 Mikhail Khodjaiants
	Partial fix for bug 45535: Performance problems when debugging.
	Cache the double and float presentations of the floating point types.
	* CDebugUtils.java
	* CFloatingPointValue.java: new
	* CValueFactory.java

2004-06-24 Mikhail Khodjaiants
	Temporary fix for bug 56520: Debug Perspective doesn't get called when a breakpoint is hit.
	* CThread.java
	
2004-06-23 Mikhail Khodjaiants
	Fix for bug 68316: Exception shutting down Eclipse with an active debug session.
	* CStackFrame.java
	* CThread.java

2004-06-22 Mikhail Khodjaiants
	Replaced global resource bundles by messages.

2004-06-16 Mikhail Khodjaiants
	Added support for the "Skip Breakpoints" and "Skip breakpoints during a "Run To Line" operation.
	* IRunToAddress.java
	* IRunToLine.java
	* CBreakpointManager.java
	* CDebugTarget.java

2004-06-12 Mikhail Khodjaiants
	"CUpdateManager" extends "Observable" to support "Auto-Refresh" toggle actions.
	* CRegisterManager.java
	* CSharedLibraryManager.java
	* CSignalManager.java
	* CUpdateManager.jave

2004-06-12 Mikhail Khodjaiants
	Changed the comments and copyright text.
	* ICUpdateManager.java

2004-06-11 Mikhail Khodjaiants
	"CDebugTarget" should provide an adapter for "ICDebugTarget".
	* CDebugTarget.java

2004-06-09 Mikhail Khodjaiants
	Changed the synchronization scope.
	* CSharedLibraryManager.java

2004-06-02 Mikhail Khodjaiants
	Fix for bug 65112: Debug Registers view is empty.
	* CRegisterManager.java
	* CDebugTarget.java
	* CRegister.java
	* CRegisterGroup.java
	* CVariable.java

2004-05-28 Mikhail Khodjaiants
	Support for the "Skip All Breakpoints" action.
	* CBreakpointManager.java

2004-05-27 Mikhail Khodjaiants
	Display global variables in the Variables view.
	* CDIDebugModel.java
	* ICGlobalVariableManager.java: new
	* IGlobalVariable.java: removed
	* ICGlobalVariable.java
	* IExecFileInfo.java
	* IGlobalVariableDescriptor.java: new
	* CGlobalVariableManager.java: new
	* CDebugTarget.java
	* CGlobalVariable.java
	* CRegister.java
	* CStackFrame.java
	* CVariable.java

2004-05-20 Mikhail Khodjaiants
	Removed dependencies on the compatibility plugin and replaced deprecated classes and methods.
	Warning cleanup.
	* CDebugCorePlugin.java
	* ICDebugConstants.java
	* CBreakpointManager.java
	* DebugConfiguration.java
	* CThread.java
	* CValue.java
	* CVariable.java
	* CDirectorySourceLocation.java
	* CProjectSourceLocation.java
	* SourceUtils.java
	* plugin.xml
	* ChangeLog-2003: new

2004-05-20 Mikhail Khodjaiants
	The "IStackFrameInfo" interface is removed and it's methods moved to "ICStackFrame". 
	* ICStackFrameInfo: removed
	* CStackFrame.java
	* CSourceLocator.java
	* CSourceManager.java

2004-05-19 Mikhail Khodjaiants
	Added the support of watch expressions.
	* CDIDebugModel.java
	* ICStackFrame.java
	* CExpressionTarget.java: new
	* CDebugTarget.java
	* CExpression.java
	* CStackFrame.java

2004-05-14 Mikhail Khodjaiants
	Update disassembly when source locator is changed.
	* Disassembly.java
	* CSourceManager.java

2004-05-13 Mikhail Khodjaiants
	Changed the format of the disassembly error messages.
	* Disassembly.java
	* CoreModelMessages.properties

2004-05-13 Mikhail Khodjaiants
	Removed old disassembly implementation.
	* IDisassemblyStorage.java: deleted
	* ISourceMode.java: deleted
	* DisassemblyStorage.java: deleted
	* DisassemblyManager.java: deleted
	* ICDebugConstants.java
	* CDebugTarget.java
	* CThread.java
	* CSourceManager.java
	 
2004-05-13 Mikhail Khodjaiants
	Support for the instruction stepping mode.
	* ICDebugTarget.java
	* ISteppingModeTarget.java: new
	* ITargetProperties.java: new
	* IInstructionstep.java: deleted
	* CDebugTarget.java
	* CThread.java

2004-05-06 Mikhail Khodjaiants
	Implementation of mixed disassembly mode.
	* IAsmSourceLine.java: new
	* IDisassembly.java
	* IDisassemblyBlock.java: new
	* AsmSourceLine.java: new
	* Disassembly.java
	* DisassemblyBlock.java: new

2004-04-30 Mikhail Khodjaiants
	New copyright.
	* IJumpToAddress.java
	* IJumpToLine.java

2004-04-27 Mikhail Khodjaiants
	Moved the "FUNCTION" and "ADDRESS" breakpoint attributes to ICLineBreakpoint.
	Added support for the Disassembly view.
	* plugin.xml
	* CDIDebugModel.java
	* IBreakpointTarget.java: new
	* ICAddressBreakpoint.java
	* ICDebugTarget.java
	* ICFunctionBreakpoint.java
	* ICLineBreakpoint.java
	* CBreakpointManager.java
	* AbstractLineBreakpoint.java: new
	* CAddressBreakpoint.java
	* CFunctionBreakpoint.java
	* CLineBreakpoint.java
	* CDebugTarget.java

2004-04-26 Mikhail Khodjaiants
	The notification of the Breakpoint Manager on breakpoint creation has been 
	moved to CBreakpointUpdater.
	* CDebugTarget.java

2004-04-22 Mikhail Khodjaiants
	Additional fix for bug 58711: Breakpoint race condition.
	* CBreakpointManager.java

2004-04-21 Mikhail Khodjaiants
	Disassembly should provide an adapter for IExecFialeInfo.
	* Disassembly.java
	
2004-04-20 Mikhail Khodjaiants
	The "getCFileGlobals" method of "IExecFileInfo" throws "DebugException".
	* IExecFileInfo.java
	* CoreModelMessages.properties
	* CDebugTarget.java
	* CoreModelMessages.java
	* Disassembly.java

2004-04-19 Alain Magloire

	CoreModel throws Exception.

	* src/org/eclipse/cdt/debug/core/CDebugTarget.java

2004-04-15 Mikhail Khodjaiants
	Fix for bug 58711: Breakpoint race condition.
	To avoid race condition all breakpoint marker updates (like increment/decrement the install count, 
	enable/disable etc.) should be done in the UI thread. At the same time installing breakpoint 
	at a target should be synchronized with other gdb commands (bug 58711).
	A special listener (CBreakpointUpdater) has been added to receive notifications from the event 
	thread and post marker updates to the UI thread.
	* CDebugCorePlugin.java
	* ICBreakpointListener.java: new
	* ICBreakpoint.java
	* CBreakpointManager.java
	* CBreakpointNotifier.java: new
	* ListenerList.java: new
	* CBreakpoint.java
	* CDebugTarget.java
	* IAsyncExecutor.java: removed

2004-04-19 Mikhail Khodjaiants
	Display global variable name in the error message when the "Add Globals" action fails.
	* CDebugModel.java

2004-04-16 Mikhail Khodjaiants
	Stack frame should provide an adapter for IRunToAddress.
	* CStackFrame.java

2004-04-15 Mikhail Khodjaiants
	Implementing core support of disassembly.
	* AsmInstruction.java
	* CDebugTarget.java
	* CStackFrame.java
	* Disassembly.java: new

2004-04-12 Mikhail Khodjaiants
	Implementing retargettable breakpoint related actions.
	* CDebugModel.java
	* CDIDebugModel.java
	* ICAddressBreakpoint.java
	* ICBreakpoint.java
	* ICFunctionBreakpoint.java
	* ICLineBreakpoint.java
	* ICWatchpoint.java
	* CBreakpointManager.java
	* CDebugUtils.java
	* BreakpointMessages.properties
	* BreakpointMessages.java
	* CAddressBreakpoint.java
	* CBreakpoint.java
	* CFunctionBreakpoint.java
	* CLineBreakpoint.java
	* CWatchpoint.java
	* plugin.xml

2004-04-11 Mikhail Khodjaiants
	Stack frame should provide an adapter for IRunToLine.
	* CStackFrame.java

2004-04-08 Mikhail Khodjaiants
	Implementing retargettable actions.
	* IRunToAddress.java
	* IRunToLine.java
	* IDisassemblyStorage.java

2004-04-07 Mikhail Khodjaiants
	Removed the support of debugger process.
	* ICDebugTarget.java
	* CDebugTarget.java

2004-04-02 Mikhail Khodjaiants
	Removed dependency to xerces.
	* CDebugUtils.java
	* CDirectorySourceLocation.java
	* CProjectSourceLocation.java
	* CSourceLocator.java
	* SourceUtils.java
	* plugin.xml

2004-04-01 Mikhail Khodjaiants
	Changes and additions to support the new implementations of Shared Libraries, 
	Signals and Disassembly views.
	* CDebugElementState.java
	* IAsmInstruction.java
	* ICDebugElement.java
	* ICDebugTarget.java
	* ICDebugTargetGroup.java
	* ICSharedLibrary.java
	* ICSignal.java
	* ICStackFrame.java
	* IDisassembly.java
	* CSharedLibraryManager.java
	* CSignalManager.java
	* CDebugElement.java
	* CDebugTarget.java
	* CSignal.java

2004-03-31 Mikhail Khodjaiants
	Added default preferences to the C/C++ Debug preference page.
	* CDebugCorePlugin.java
	
2004-03-31 Mikhail Khodjaiants
	The Registers view has been contibuted and moved to the Eclipse platform.
	To enable updating set the default value of the auto-refresh flag of the registers to true.
	Remove it when the "Refresh" and "Auto-Refresh" actions are contributed.
	* CDebugCorePlugin.java

2004-03-17 Alain Magloire

	Changes to get some performances.  The array of
	events is passed instead of one at a time.

	Affected files all the implement ICDIEventListener
	to many to enumerate.

2004-03-16 Alain Magloire

	Make this class extends ICDIEventListener

	* src/org/eclipse/cdt/debug/core/cdi/ICDIManager.java
	
2004-03-10 Tanya Wolff	
	Externalized strings and marked non-translatable strings
	Packages affected:
	org.eclipse.cdt.debug.core
	org.eclipse.cdt.debug.core.cdi
	org.eclipse.cdt.debug.internal.core
	org.eclipse.cdt.debug.internal.core.breakpoints
	org.eclipse.cdt.debug.internal.core.model
	org.eclipse.cdt.debug.internal.core.sourcelookup

2004-03-09 David Inglis	
	Added PLATFORM_NATIVE const to ICDebugCongifuration
	ICDebugConfiguration.java 
	
2004-02-20 Mikhail Khodjaiants
	Fire the "suspend" event when the target is suspended because of an error.
	* CDebugTarget.java

2004-02-17 Mikhail Khodjaiants
	Reset the current thread flag when resume.
	* CThread.java

2004-02-16 Mikhail Khodjaiants
	Fix for bug 52135: Debugger should indicate which thread triggered breakpoint.
	* CThread.java

2004-02-11 Mikhail Khodjaiants
	In the 'reset' method check if value is an instance of CValue before type casting.
	* CVariable.java

2004-02-10 Mikhail Khodjaiants
	Cache the endianness flag.
	* CDebugTarget.java
 
2004-01-30 Mikhail Khodjaiants
	Fix for bug 50981: In the 'getValue' method of CVariable 'getType' should be only called once.
	* CVariable.java

2004-01-29 Mikhail Khodjaiants
	Fire sets of debug events instead of firing it one by one.
	* CDebugTarget.java
	* CThread.java
	
2004-01-29 Mikhail Khodjaiants
	Added DebugEvent factory methods to 'CDebugElement'.
	* CDebugElement.java

2004-01-15 Mikhail Khodjaiants
	Fix for bug 48682: IThread.getBreakpoints() stubbed out.
	* CDebugTarget.java
	* CThread.java
